# Methods to parse the file format where each line is of the form
# Name ListOfIsomorphismSignatures IsometrySignature
#
# Example:
# otet08_0002 iLLLQPcceegfghhhiimaimimi ivvPQQcgfhfhgfghappppaaaa mvLLwMAQQdfeihgjlkkjlloafaofoqfofaq

def parse_line(line):
    l = [ isoSig.strip() for isoSig in line.split() if isoSig.strip() ]
    return l[0], l[1:-1], l[-1]

# Parse such a file, result is a list of triples
#   (name, list of isomorphism signatures, isometry signature)
def parse_text(lines):
    return [ parse_line(line) for line in lines.split('\n') if line.strip() ]

